Subject: [bug#49437] [PATCH core-updates] build-system/qt: Fix build failures when

From: Maxime Devos <[email-masked]>
Date: Sun, 03 Oct 2021 10:56:45 +0200

Maxim Cournoyer schreef op wo 22-09-2021 om 23:53 [-0400]:
> Hello,
> 
> Maxime Devos <[email-masked]> writes:
> 
> > Mathieu Othacehe schreef op do 08-07-2021 om 21:37 [+0200]:
> > > Hey,
> > > 
> > > > One of the features of 'qt-build-system' is that it automatically
> > > > creates wrappers, but it needs 'bash' (or 'bash-minimal') to do
> > > > so.  If "bin/bash" doesn't exist among the 'inputs', then
> > > > 'search-input-file' (used by 'wrap-all-programs') will raise an
> > > > exception.  Address this exception by adding "bash-minimal" to
> > > > 'host-inputs' when cross-compiling.
> > > 
> > > I'd like to test it but it looks like qt-build-system drags glib which
> > > uses the meson-build-system that doesn't support cross-compilation.
> > > 
> > > Did you test this patch, on top of your meson series?
> > 
> > I had started "./pre-inst-env guix build qtsvg" but that's no
> > cross-compilation.  I'll rebase the meson series and test it!
> 
> Did it test fine?

Didn't test it yet, because I first wanted the meson series merged.
Now the meson series and the gtk+ cross-compilation fixes are merged,
I'll take a look again.

> Thanks,
> Maxim